'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: 
'
' AUTHOR: Dan Holme , Intelliem
' DATE  : 12/16/2007
'
' USAGE:  
' cscript.exe User_ShowEmployeeNumber_v2.vbs <ADsPath of user>
'
' This script displays the employeeNumber attribute
' (or any other single-valued attribute specified by sAttribute)
'
' See the Windows Administration Resource Kit for documentation
'
' Neither Microsoft nor Intelliem guarantee the performance
' of scripts, scripting examples or tools.
'
' See www.intelliem.com/resourcekit for updates to this script
'
' (c) 2007 Intelliem, Inc
'==========================================================================

Option Explicit
Dim sObjectADsPath, oObject, sAttribute, sValue 
sAttribute = "employeeNumber"
If WScript.Arguments.Count = 0 Then
    WScript.Echo "Usage: cscript.exe " & WScript.ScriptFullName & _
         " <ADsPath of user>"
    WScript.Quit(0)
End If

sObjectADsPath = WScript.Arguments(0)
On Error Resume Next
Set oObject = GetObject(sObjectADsPath)
If Err.Number <> 0 Then
    WScript.Echo "The ADsPath provided is invalid:" & vbCrLf & _
        sObjectADsPath & vbCrLf & "Error " & Err.Number & _
        vbCrLf & Err.Description
    WScript.Quit(0)
End If
On Error Goto 0

On Error Resume Next
sValue = oObject.Get(sAttribute)
If Err.Number <> 0 Then
    WScript.Echo "There is no value for " & sAttribute
    WScript.Quit(0)
End If
On Error Goto 0
WScript.Echo sValue

